Skip to main content
GET
/
webhook
/
history
Get webhooks
curl --request GET \
  --url https://api.onswitch.xyz/webhook/history \
  --header 'x-service-key: <api-key>'
import requests

url = "https://api.onswitch.xyz/webhook/history"

headers = {"x-service-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};

fetch('https://api.onswitch.xyz/webhook/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Webhook history fetched successfully",
  "timestamp": "2026-04-18T14:22:08.631Z",
  "data": {
    "data": [
      {
        "reference": "wh_8k2m9p1q4r7s0t3u6v",
        "url": "https://hooks.partner.dev/switch/inbound",
        "type": "OFFRAMP",
        "status": "SUCCESSFUL",
        "request": {
          "event": "payment.completed",
          "reference": "a3f9c2e1-7b4d-4a8e-9c62-1d8f4e6b2a90",
          "status": "COMPLETED"
        },
        "response": {
          "received": true,
          "http_status": 200
        },
        "error": null,
        "retry_count": 0,
        "created_at": "2026-04-18T13:08:45.112Z",
        "updated_at": "2026-04-18T13:08:45.418Z"
      }
    ],
    "page": 1,
    "limit": 10,
    "total": 384,
    "pages": 39
  }
}
{
"success": false,
"message": "amount must be greater than 0 for the selected corridor",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": null
}

Authorizations

x-service-key
string
header
required

Service key for API authentication

Query Parameters

type
enum<string>

Filter by webhook type

Available options:
OFFRAMP,
ONRAMP,
SWAP,
RECEIVE,
SEND
status
enum<string>

Filter by status

Available options:
SUCCESSFUL,
FAILED

Filter by reference or keyword

Maximum string length: 200
start_date
string<date-time>

Filter by start date e.g 2026-01-01

end_date
string<date-time>

Filter by end date e.g 2026-01-01

page
integer
default:1

Results page number. Default 1.

Required range: x >= 1
limit
integer
default:10

Results per page. Default 10, maximum 100.

Required range: 1 <= x <= 100

Response

Webhook history retrieved successfully

success
boolean
required
message
string
required
timestamp
string<date-time>
required
data
object
required